#!/sbin/sh
configValue="$1"
nikgapps_config_file_name="$2"
install_partition="$3"

make_dir() {
  addToLog "- Creating Directory: $install_partition/$1"
  mkdir -p "$install_partition/$1"
  set_perm 1000 1000 0755 "$install_partition/$1"
}

# Initialize the variables
default_partition="product"
clean_flash_only="false"
product_prefix=$(find_product_prefix "$install_partition")
title="GoogleServicesFramework"
package_title="GoogleServicesFramework"
pkg_size="7420"
package_name="com.google.android.gsf"
packagePath=installGoogleServicesFrameworkFiles
deleteFilesPath=deleteGoogleServicesFrameworkFiles
deleteFilesFromRomPath=deleteGoogleServicesFrameworkFromRomFiles

remove_aosp_apps_from_rom="
"

remove_gapps_from_rom="
"

file_list="
___etc___permissions/com.google.android.gsf.xml
___priv-app___GoogleServicesFramework/GoogleServicesFramework.apk
"

remove_existing_package() {
   # remove the existing folder for clean install of GoogleServicesFramework
   delete_package "GoogleServicesFramework"
}

remove_aosp_apps() {
   # Delete the folders that we want to remove with installing GoogleServicesFramework
   for i in $remove_aosp_apps_from_rom; do
       RemoveAospAppsFromRom "$i"
   done
}

remove_gapps_from_rom() {
   # Delete the folders that we want to remove with installing on Rom with Gapps
   for i in $remove_gapps_from_rom; do
       RemoveFromRomWithGapps "$i"
   done
}

install_package() {
   remove_existing_package
   remove_aosp_apps
   remove_gapps_from_rom
   # Create folders and set the permissions
   make_dir "etc/permissions"
   make_dir "priv-app/GoogleServicesFramework"

   # Copy the files and set the permissions
   for i in $file_list; do
       install_file "$i"
   done

   chmod 755 "$COMMONDIR/addon";
   . $COMMONDIR/addon "$OFD" "GoogleServicesFramework" "$TMPDIR/addon/$packagePath" "$TMPDIR/addon/$deleteFilesPath" "" "$TMPDIR/addon/$deleteFilesFromRomPath"
   copy_file "$TMPDIR/addon/$packagePath" "$logDir/addonfiles/$packagePath.addon"
   rm -rf "$TMPDIR/addon/$packagePath"
   copy_file "$TMPDIR/addon/$deleteFilesPath" "$logDir/addonfiles/$deleteFilesPath.addon"
   copy_file "$TMPDIR/addon/$deleteFilesFromRomPath" "$logDir/addonfiles/$deleteFilesFromRomPath.addon"
   rm -rf "$TMPDIR/addon/$deleteFilesPath"
   rm -rf "$TMPDIR/addon/$deleteFilesFromRomPath"
}

find_install_mode

