#!/sbin/sh

uninstall_package() {
    ui_print "- Uninstalling $package_title"
    # Remove the files when we're uninstalling NiKGapps
    for i in $file_list; do
        uninstall_file "$i" "$package_name"
    done

    addon_file="51-"$package_title".sh"
    # Removing the addon sh so it doesn't get backed up and restored
    addToLog "- Removing $addon_file"
    rm -rf "/system/addon.d/$addon_file"
    # Removing the updates and residue
    if [ -n "$2" ]; then
        for i in $(find /data -iname "*$2*" 2>/dev/null); do
            if [ -e "$i" ] || [ -d "$1"]; then
                addToLog "- contents matching $2 found at $i"
                rm -rf "$i"
            fi
        done
    fi
}

# Initialize the variables
clean_flash_only="false"
title="Phonesky"
package_title="GooglePlayStore"
package_name="com.android.vending"

file_list="
___priv-app___Phonesky/split_phonesky_data_loader.apk
___priv-app___Phonesky/Phonesky.apk
___priv-app___Phonesky/split_config.en.apk
___priv-app___Phonesky/split_phonesky_data_loader.config.arm64_v8a.apk
___priv-app___Phonesky/split_config.arm64_v8a.apk
___etc___permissions/com.android.vending.xml
"

uninstall_package
